// Copyright © 2024 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef DSP_SDK_V1_0_0_DSP_KERNEL_COMMON_H
#define DSP_SDK_V1_0_0_DSP_KERNEL_COMMON_H

#define MAX_PIPELINE_NUM 8

typedef struct {
    // the offset is in/out data in ddr
    int32_t srcOffset;
    int32_t dstOffset;

    int32_t rowSize;
    int32_t nrows;
    int32_t tiles;

    int32_t srcRowPitch;
    int32_t dstRowPitch;
    int32_t srcTilePitch;
    int32_t dstTilePitch;
} ES_DMA_PARAMS_S;

typedef struct {
    ES_DMA_PARAMS_S inCopyParams;
    ES_DMA_PARAMS_S outCopyParams;
} ES_DMA_PARAMS_QUEUE_S;

#endif  // DSP_SDK_V1_0_0_DSP_KERNEL_COMMON_H
