// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef __ESWIN_DSP_ERROR_H__
#define __ESWIN_DSP_ERROR_H__

#include "es_errno.h"
#include "es_common.h"

#define ES_DSP_ERROR_BASE ES_DEF_ERR(ES_ID_DSP, EN_ERR_LEVEL_ERROR, 0)
#define ES_DSP_ERROR_NUM(X) (ES_DSP_ERROR_BASE + EN_ERR_BUTT + X)

#define ES_DSP_SUCCESS 0
#define ES_DSP_ERROR_INVALID_DEVID ES_DSP_ERROR_NUM(1)
#define ES_DSP_ERROR_INVALID_CHNID ES_DSP_ERROR_NUM(2)
#define ES_DSP_ERROR_DEVICE_NOT_AVAILABLE ES_DSP_ERROR_NUM(3)
#define ES_DSP_ERROR_LOAD_FW_FAILED ES_DSP_ERROR_NUM(4)
#define ES_DSP_ERROR_UNLOAD_FW_FAILED ES_DSP_ERROR_NUM(5)
#define ES_DSP_ERROR_ILLEGAL_PARAM ES_DSP_ERROR_NUM(6)
#define ES_DSP_ERROR_LOAD_OP_FAILED ES_DSP_ERROR_NUM(7)
#define ES_DSP_ERROR_UNLOAD_OP_FAILED ES_DSP_ERROR_NUM(8)
#define ES_DSP_ERROR_SUBMIT_TASK_FAILED ES_DSP_ERROR_NUM(9)
#define ES_DSP_ERROR_QUERY_FAILED ES_DSP_ERROR_NUM(10)
#define ES_DSP_ERROR_EXIST ES_DSP_ERROR_NUM(11)
#define ES_DSP_ERROR_UNEXIST ES_DSP_ERROR_NUM(12)
#define ES_DSP_ERROR_NULL_PTR ES_DSP_ERROR_NUM(13)
#define ES_DSP_ERROR_NOT_CONFIG ES_DSP_ERROR_NUM(14)
#define ES_DSP_ERROR_NOT_SUPPORT ES_DSP_ERROR_NUM(15)
#define ES_DSP_ERROR_NOT_PERM ES_DSP_ERROR_NUM(16)
#define ES_DSP_ERROR_NOMEM ES_DSP_ERROR_NUM(17)
#define ES_DSP_ERROR_NOBUF ES_DSP_ERROR_NUM(18)
#define ES_DSP_ERROR_OUTBUF ES_DSP_ERROR_NUM(19)
#define ES_DSP_ERROR_BUF_EMPTY ES_DSP_ERROR_NUM(20)
#define ES_DSP_ERROR_BUF_FULL ES_DSP_ERROR_NUM(21)
#define ES_DSP_ERROR_NOTREADY ES_DSP_ERROR_NUM(22)
#define ES_DSP_ERROR_BADADDR ES_DSP_ERROR_NUM(23)
#define ES_DSP_ERROR_BUSY ES_DSP_ERROR_NUM(24)
#define ES_DSP_ERROR_SYS_TIMEOUT ES_DSP_ERROR_NUM(25)
#define ES_DSP_ERROR_QUERY_TIMEOUT ES_DSP_ERROR_NUM(26)
#define ES_DSP_ERROR_GET_OP_FUNC_FAILED ES_DSP_ERROR_NUM(27)
#define ES_DSP_ERROR_OP_PREPARE_FAILED ES_DSP_ERROR_NUM(28)
#define ES_DSP_ERROR_OP_EVAL_FAILED ES_DSP_ERROR_NUM(29)
#define ES_DSP_ERROR_OP_NAME_INVALID ES_DSP_ERROR_NUM(30)
#define ES_DSP_ERROR_OP_ARGS_INVALID ES_DSP_ERROR_NUM(31)
#define ES_DSP_ERROR_OP_FLAT1_INVALID ES_DSP_ERROR_NUM(32)
#define ES_DSP_ERROR_CDDR_ALLOC_FAILED ES_DSP_ERROR_NUM(33)
#define ES_DSP_ERROR_SPAD_ALLOC_FAILED ES_DSP_ERROR_NUM(34)
#define ES_DSP_ERROR_DRAM0_ALLOC_FAILED ES_DSP_ERROR_NUM(35)
#define ES_DSP_ERROR_DRAM1_ALLOC_FAILED ES_DSP_ERROR_NUM(36)
#define ES_DSP_ERROR_CDDR_OUTBUF ES_DSP_ERROR_NUM(37)
#define ES_DSP_ERROR_SPAD_OUTBUF ES_DSP_ERROR_NUM(38)
#define ES_DSP_ERROR_DRAM0_OUTBUF ES_DSP_ERROR_NUM(39)
#define ES_DSP_ERROR_DRAM1_OUTBUF ES_DSP_ERROR_NUM(40)
#define ES_DSP_ERROR_SEND_D2H_MSG_FAILED ES_DSP_ERROR_NUM(41)
#define ES_DSP_ERROR_RECEIVE_H2D_MSG_FAILED ES_DSP_ERROR_NUM(42)
#define ES_DSP_ERROR_INIT_MAILBOX_FAILED ES_DSP_ERROR_NUM(43)
#define ES_DSP_ERROR_REQUEST_CHANNEL_FAILED ES_DSP_ERROR_NUM(44)
#define ES_DSP_ERROR_INT_HANDLER_FAILED ES_DSP_ERROR_NUM(45)
#define ES_DSP_ERROR_OPEN_FILE_FAILED ES_DSP_ERROR_NUM(46)
#define ES_DSP_ERROR_READ_FILE_FAILED ES_DSP_ERROR_NUM(47)
#define ES_DSP_ERROR_WRITE_FILE_FAILED ES_DSP_ERROR_NUM(48)
#define ES_DSP_ERROR_ASYNC_CB_FAILED ES_DSP_ERROR_NUM(49)
#define ES_DSP_ERROR_INVALID_VER ES_DSP_ERROR_NUM(50)

#endif