// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#pragma once

#include <string>
#include <vector>
#include <unordered_map>

#include "es_nn_common.h"

typedef struct {
    // TODO(shenle)
} ES_DSP_OPT_DESC_S;

typedef struct {
    /* Operator name , used to match algo */
    std::string opName;
    /* Input arguments */
    std::vector<ES_DSP_TENSOR_DESC_S> inputArgs;
    /* Output arguments */
    std::vector<ES_DSP_TENSOR_DESC_S> outputArgs;
    /* Algorithm arguments */
    std::unordered_map<std::string, void *> OPArgs;
    /* Optimization arguments */
    ES_DSP_OPT_DESC_S optDesc;
} ES_DSP_OP_PROBLEM_S;

typedef struct {
    ES_FLOAT latency;
    ES_FLOAT energy;
} ES_DSP_COST_DESC_S;
